com.mysql.cj.conf

## Enum PropertyKey

- java.lang.Object
- - java.lang.Enum<PropertyKey>
  - - com.mysql.cj.conf.PropertyKey

All Implemented Interfaces:
  Serializable, Comparable<PropertyKey>

    public enum PropertyKey
    extends Enum<PropertyKey>

PropertyKey handles connection property names, their camel-case aliases and case sensitivity.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADDRESS` The address value ("host:port") from the properties instance passed to the driver.
`allowLoadLocalInfile`
`allowLoadLocalInfileInPath`
`allowMultiQueries`
`allowNanAndInf`
`allowPublicKeyRetrieval`
`allowReplicaDownConnections`
`allowSourceDownConnections`
`allowUrlInLocalInfile`
`alwaysSendSetIsolation`
`authenticationOpenidConnectCallbackHandler`
`authenticationPlugins`
`authenticationWebAuthnCallbackHandler`
`autoClosePStmtStreams`
`autoGenerateTestcaseScript`
`autoReconnect`
`autoReconnectForPools`
`autoSlowLog`
`blobsAreStrings`
`blobSendChunkSize`
`cacheCallableStmts`
`cacheDefaultTimeZone`
`cachePrepStmts`
`cacheResultSetMetadata`
`cacheServerConfiguration`
`callableStmtCacheSize`
`characterEncoding`
`characterSetResults`
`clientCertificateKeyStorePassword`
`clientCertificateKeyStoreType`
`clientCertificateKeyStoreUrl`
`clientInfoProvider`
`clobberStreamingResults`
`clobCharacterEncoding`
`compensateOnDuplicateKeyUpdateCounts`
`connectionAttributes`
`connectionCollation`
`connectionLifecycleInterceptors`
`connectionTimeZone`
`connectTimeout`
`continueBatchOnError`
`createDatabaseIfNotExist`
`customCharsetMapping`
`databaseTerm`
`DBNAME` The database value from the properties instance passed to the driver.
`defaultAuthenticationPlugin`
`defaultFetchSize`
`detectCustomCollations`
`disabledAuthenticationPlugins`
`disconnectOnExpiredPasswords`
`dnsSrv`
`dontCheckOnDuplicateKeyUpdateInSQL`
`dontTrackOpenResources`
`dumpQueriesOnException`
`elideSetAutoCommits`
`emptyStringsConvertToZero`
`emulateLocators`
`emulateUnsupportedPstmts`
`enableEscapeProcessing`
`enablePacketDebug`
`enableQueryTimeouts`
`exceptionInterceptors`
`explainSlowQueries`
`failOverReadOnly`
`fallbackToSystemKeyStore`
`fallbackToSystemTrustStore`
`fipsCompliantJsse`
`forceConnectionTimeZoneToSession`
`functionsNeverReturnBlobs`
`gatherPerfMetrics`
`generateSimpleParameterMetadata`
`getProceduresReturnsFunctions`
`ha_enableJMX`
`ha_loadBalanceStrategy`
`holdResultsOpenOverStatementClose`
`HOST` The hostname value from the properties instance passed to the driver.
`idTokenFile`
`ignoreNonTxTables`
`includeInnodbStatusInDeadlockExceptions`
`includeThreadDumpInDeadlockExceptions`
`includeThreadNamesAsStatementComment`
`initialTimeout`
`interactiveClient`
`jdbcCompliantTruncation`
`keyManagerFactoryProvider`
`keyStoreProvider`
`largeRowSizeThreshold`
`ldapServerHostname`
`loadBalanceAutoCommitStatementRegex`
`loadBalanceAutoCommitStatementThreshold`
`loadBalanceBlocklistTimeout`
`loadBalanceConnectionGroup`
`loadBalanceExceptionChecker`
`loadBalanceHostRemovalGracePeriod`
`loadBalancePingTimeout`
`loadBalanceSQLExceptionSubclassFailover`
`loadBalanceSQLStateFailover`
`loadBalanceValidateConnectionOnSwapServer`
`localSocketAddress`
`locatorFetchBufferSize`
`logger`
`logSlowQueries`
`logXaCommands`
`maintainTimeStats`
`maxAllowedPacket`
`maxByteArrayAsHex`
`maxQuerySizeToLog`
`maxReconnects`
`maxRows`
`metadataCacheSize`
`netTimeoutForStreamingResults`
`noAccessToProcedureBodies`
`noDatetimeStringSync`
`nullDatabaseMeansCurrent`
`ociConfigFile`
`ociConfigProfile`
`openTelemetry`
`overrideSupportsIntegrityEnhancementFacility`
`packetDebugBufferSize`
`padCharsWithSpace`
`paranoid`
`PASSWORD` The database user password.
`password1`
`password2`
`password3`
`passwordCharacterEncoding`
`PATH` The name pipes path to use when "protocol=pipe'.
`pedantic`
`pinGlobalTxToPhysicalConnection`
`populateInsertRowWithDefaultValues`
`PORT` The port number value from the properties instance passed to the driver.
`prepStmtCacheSize`
`prepStmtCacheSqlLimit`
`preserveInstants`
`PRIORITY` The host priority in a list of hosts.
`processEscapeCodesForPrepStmts`
`profilerEventHandler`
`profileSQL`
`propertiesTransform`
`PROTOCOL` The communications protocol.
`queriesBeforeRetrySource`
`queryInfoCacheFactory`
`queryInterceptors`
`queryTimeoutKillsConnection`
`readFromSourceWhenNoReplicas`
`readOnlyPropagatesToServer`
`reconnectAtTxEnd`
`replicationConnectionGroup`
`reportMetricsIntervalMillis`
`requireSSL`
`resourceId`
`resultSetSizeThreshold`
`retriesAllDown`
`rewriteBatchedStatements`
`rollbackOnPooledClose`
`scrollTolerantForwardOnly`
`secondsBeforeRetrySource`
`selfDestructOnPingMaxOperations`
`selfDestructOnPingSecondsLifetime`
`sendFractionalSeconds`
`sendFractionalSecondsForTime`
`serverAffinityOrder`
`serverConfigCacheFactory`
`serverRSAPublicKeyFile`
`sessionVariables`
`slowQueryThresholdMillis`
`slowQueryThresholdNanos`
`socketFactory`
`socketTimeout`
`socksProxyHost`
`socksProxyPort`
`socksProxyRemoteDns`
`sslContextProvider`
`sslMode`
`strictUpdates`
`tcpKeepAlive`
`tcpNoDelay`
`tcpRcvBuf`
`tcpSndBuf`
`tcpTrafficClass`
`tinyInt1isBit`
`tlsCiphersuites`
`tlsVersions`
`traceProtocol`
`trackSessionState`
`transformedBitIsBoolean`
`treatMysqlDatetimeAsTimestamp`
`treatUtilDateAsTimestamp`
`trustCertificateKeyStorePassword`
`trustCertificateKeyStoreType`
`trustCertificateKeyStoreUrl`
`trustManagerFactoryProvider`
`TYPE` The server type in a replication setup.
`ultraDevHack`
`useAffectedRows`
`useColumnNamesInFindColumn`
`useCompression`
`useConfigs`
`useCursorFetch`
`useHostsInPrivileges`
`useInformationSchema`
`useLocalSessionState`
`useLocalTransactionState`
`useNanosForElapsedTime`
`useOldAliasMetadataBehavior`
`useOnlyServerErrorMessages`
`USER` The database user name.
`useReadAheadInput`
`useServerPrepStmts`
`useSSL`
`useStreamLengthsInPrepStmts`
`useUnbufferedInput`
`useUsageAdvisor`
`verifyServerCertificate`
`xdevapiAsyncResponseTimeout`
`xdevapiAuth`
`xdevapiCompression`
`xdevapiCompressionAlgorithms`
`xdevapiCompressionExtensions`
`xdevapiConnectionAttributes`
`xdevapiConnectTimeout`
`xdevapiDnsSrv`
`xdevapiFallbackToSystemKeyStore`
`xdevapiFallbackToSystemTrustStore`
`xdevapiSslKeyStorePassword`
`xdevapiSslKeyStoreType`
`xdevapiSslKeyStoreUrl`
`xdevapiSslMode`
`xdevapiSslTrustStorePassword`
`xdevapiSslTrustStoreType`
`xdevapiSslTrustStoreUrl`
`xdevapiTlsCiphersuites`
`xdevapiTlsVersions`
`yearIsDateType`
`zeroDateTimeBehavior`

### Field Summary

Fields
`private static Map<String,PropertyKey>` `caseInsensitiveValues`
`private String` `ccAlias`
`private boolean` `isCaseSensitive`
`private String` `keyName`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PropertyKey` `fromValue(String value)` Looks for a `PropertyKey` that matches the given value as key name.
`String` `getCcAlias()` Gets the camel-case alias key name of this enum element.
`String` `getKeyName()` Gets the key name of this enum element.
`static String` `normalizeCase(String keyName)` Helper method that normalizes the case of the given key, if it is one of `PropertyKey` elements.
`String` `toString()`
`static PropertyKey` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PropertyKey[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### USER

    public static final PropertyKey USER

The database user name.

#### PASSWORD

    public static final PropertyKey PASSWORD

The database user password.

#### HOST

    public static final PropertyKey HOST

The hostname value from the properties instance passed to the driver.

#### PORT

    public static final PropertyKey PORT

The port number value from the properties instance passed to the driver.

#### PROTOCOL

    public static final PropertyKey PROTOCOL

The communications protocol. Possible values: "tcp" and "pipe".

#### PATH

    public static final PropertyKey PATH

The name pipes path to use when "protocol=pipe'.

#### TYPE

    public static final PropertyKey TYPE

The server type in a replication setup. Possible values: "source" and "replica".

#### ADDRESS

    public static final PropertyKey ADDRESS

The address value ("host:port") from the properties instance passed to the driver.

#### PRIORITY

    public static final PropertyKey PRIORITY

The host priority in a list of hosts.

#### DBNAME

    public static final PropertyKey DBNAME

The database value from the properties instance passed to the driver.

#### allowLoadLocalInfile

    public static final PropertyKey allowLoadLocalInfile

#### allowLoadLocalInfileInPath

    public static final PropertyKey allowLoadLocalInfileInPath

#### allowMultiQueries

    public static final PropertyKey allowMultiQueries

#### allowNanAndInf

    public static final PropertyKey allowNanAndInf

#### allowPublicKeyRetrieval

    public static final PropertyKey allowPublicKeyRetrieval

#### allowReplicaDownConnections

    public static final PropertyKey allowReplicaDownConnections

#### allowSourceDownConnections

    public static final PropertyKey allowSourceDownConnections

#### allowUrlInLocalInfile

    public static final PropertyKey allowUrlInLocalInfile

#### alwaysSendSetIsolation

    public static final PropertyKey alwaysSendSetIsolation

#### authenticationOpenidConnectCallbackHandler

    public static final PropertyKey authenticationOpenidConnectCallbackHandler

#### authenticationPlugins

    public static final PropertyKey authenticationPlugins

#### authenticationWebAuthnCallbackHandler

    public static final PropertyKey authenticationWebAuthnCallbackHandler

#### autoClosePStmtStreams

    public static final PropertyKey autoClosePStmtStreams

#### autoGenerateTestcaseScript

    public static final PropertyKey autoGenerateTestcaseScript

#### autoReconnect

    public static final PropertyKey autoReconnect

#### autoReconnectForPools

    public static final PropertyKey autoReconnectForPools

#### autoSlowLog

    public static final PropertyKey autoSlowLog

#### blobsAreStrings

    public static final PropertyKey blobsAreStrings

#### blobSendChunkSize

    public static final PropertyKey blobSendChunkSize

#### cacheCallableStmts

    public static final PropertyKey cacheCallableStmts

#### cacheDefaultTimeZone

    public static final PropertyKey cacheDefaultTimeZone

#### cachePrepStmts

    public static final PropertyKey cachePrepStmts

#### cacheResultSetMetadata

    public static final PropertyKey cacheResultSetMetadata

#### cacheServerConfiguration

    public static final PropertyKey cacheServerConfiguration

#### callableStmtCacheSize

    public static final PropertyKey callableStmtCacheSize

#### characterEncoding

    public static final PropertyKey characterEncoding

#### characterSetResults

    public static final PropertyKey characterSetResults

#### clientCertificateKeyStorePassword

    public static final PropertyKey clientCertificateKeyStorePassword

#### clientCertificateKeyStoreType

    public static final PropertyKey clientCertificateKeyStoreType

#### clientCertificateKeyStoreUrl

    public static final PropertyKey clientCertificateKeyStoreUrl

#### clientInfoProvider

    public static final PropertyKey clientInfoProvider

#### clobberStreamingResults

    public static final PropertyKey clobberStreamingResults

#### clobCharacterEncoding

    public static final PropertyKey clobCharacterEncoding

#### compensateOnDuplicateKeyUpdateCounts

    public static final PropertyKey compensateOnDuplicateKeyUpdateCounts

#### connectionAttributes

    public static final PropertyKey connectionAttributes

#### connectionCollation

    public static final PropertyKey connectionCollation

#### connectionLifecycleInterceptors

    public static final PropertyKey connectionLifecycleInterceptors

#### connectionTimeZone

    public static final PropertyKey connectionTimeZone

#### connectTimeout

    public static final PropertyKey connectTimeout

#### continueBatchOnError

    public static final PropertyKey continueBatchOnError

#### createDatabaseIfNotExist

    public static final PropertyKey createDatabaseIfNotExist

#### customCharsetMapping

    public static final PropertyKey customCharsetMapping

#### databaseTerm

    public static final PropertyKey databaseTerm

#### defaultAuthenticationPlugin

    public static final PropertyKey defaultAuthenticationPlugin

#### defaultFetchSize

    public static final PropertyKey defaultFetchSize

#### detectCustomCollations

    public static final PropertyKey detectCustomCollations

#### disabledAuthenticationPlugins

    public static final PropertyKey disabledAuthenticationPlugins

#### disconnectOnExpiredPasswords

    public static final PropertyKey disconnectOnExpiredPasswords

#### dnsSrv

    public static final PropertyKey dnsSrv

#### dontCheckOnDuplicateKeyUpdateInSQL

    public static final PropertyKey dontCheckOnDuplicateKeyUpdateInSQL

#### dontTrackOpenResources

    public static final PropertyKey dontTrackOpenResources

#### dumpQueriesOnException

    public static final PropertyKey dumpQueriesOnException

#### elideSetAutoCommits

    public static final PropertyKey elideSetAutoCommits

#### emptyStringsConvertToZero

    public static final PropertyKey emptyStringsConvertToZero

#### emulateLocators

    public static final PropertyKey emulateLocators

#### emulateUnsupportedPstmts

    public static final PropertyKey emulateUnsupportedPstmts

#### enableEscapeProcessing

    public static final PropertyKey enableEscapeProcessing

#### enablePacketDebug

    public static final PropertyKey enablePacketDebug

#### enableQueryTimeouts

    public static final PropertyKey enableQueryTimeouts

#### exceptionInterceptors

    public static final PropertyKey exceptionInterceptors

#### explainSlowQueries

    public static final PropertyKey explainSlowQueries

#### failOverReadOnly

    public static final PropertyKey failOverReadOnly

#### fallbackToSystemKeyStore

    public static final PropertyKey fallbackToSystemKeyStore

#### fallbackToSystemTrustStore

    public static final PropertyKey fallbackToSystemTrustStore

#### fipsCompliantJsse

    public static final PropertyKey fipsCompliantJsse

#### forceConnectionTimeZoneToSession

    public static final PropertyKey forceConnectionTimeZoneToSession

#### functionsNeverReturnBlobs

    public static final PropertyKey functionsNeverReturnBlobs

#### gatherPerfMetrics

    public static final PropertyKey gatherPerfMetrics

#### generateSimpleParameterMetadata

    public static final PropertyKey generateSimpleParameterMetadata

#### getProceduresReturnsFunctions

    public static final PropertyKey getProceduresReturnsFunctions

#### ha_enableJMX

    public static final PropertyKey ha_enableJMX

#### ha_loadBalanceStrategy

    public static final PropertyKey ha_loadBalanceStrategy

#### holdResultsOpenOverStatementClose

    public static final PropertyKey holdResultsOpenOverStatementClose

#### idTokenFile

    public static final PropertyKey idTokenFile

#### ignoreNonTxTables

    public static final PropertyKey ignoreNonTxTables

#### includeInnodbStatusInDeadlockExceptions

    public static final PropertyKey includeInnodbStatusInDeadlockExceptions

#### includeThreadDumpInDeadlockExceptions

    public static final PropertyKey includeThreadDumpInDeadlockExceptions

#### includeThreadNamesAsStatementComment

    public static final PropertyKey includeThreadNamesAsStatementComment

#### initialTimeout

    public static final PropertyKey initialTimeout

#### interactiveClient

    public static final PropertyKey interactiveClient

#### jdbcCompliantTruncation

    public static final PropertyKey jdbcCompliantTruncation

#### keyManagerFactoryProvider

    public static final PropertyKey keyManagerFactoryProvider

#### keyStoreProvider

    public static final PropertyKey keyStoreProvider

#### largeRowSizeThreshold

    public static final PropertyKey largeRowSizeThreshold

#### ldapServerHostname

    public static final PropertyKey ldapServerHostname

#### loadBalanceAutoCommitStatementRegex

    public static final PropertyKey loadBalanceAutoCommitStatementRegex

#### loadBalanceAutoCommitStatementThreshold

    public static final PropertyKey loadBalanceAutoCommitStatementThreshold

#### loadBalanceBlocklistTimeout

    public static final PropertyKey loadBalanceBlocklistTimeout

#### loadBalanceConnectionGroup

    public static final PropertyKey loadBalanceConnectionGroup

#### loadBalanceExceptionChecker

    public static final PropertyKey loadBalanceExceptionChecker

#### loadBalanceHostRemovalGracePeriod

    public static final PropertyKey loadBalanceHostRemovalGracePeriod

#### loadBalancePingTimeout

    public static final PropertyKey loadBalancePingTimeout

#### loadBalanceSQLExceptionSubclassFailover

    public static final PropertyKey loadBalanceSQLExceptionSubclassFailover

#### loadBalanceSQLStateFailover

    public static final PropertyKey loadBalanceSQLStateFailover

#### loadBalanceValidateConnectionOnSwapServer

    public static final PropertyKey loadBalanceValidateConnectionOnSwapServer

#### localSocketAddress

    public static final PropertyKey localSocketAddress

#### locatorFetchBufferSize

    public static final PropertyKey locatorFetchBufferSize

#### logger

    public static final PropertyKey logger

#### logSlowQueries

    public static final PropertyKey logSlowQueries

#### logXaCommands

    public static final PropertyKey logXaCommands

#### maintainTimeStats

    public static final PropertyKey maintainTimeStats

#### maxAllowedPacket

    public static final PropertyKey maxAllowedPacket

#### maxByteArrayAsHex

    public static final PropertyKey maxByteArrayAsHex

#### maxQuerySizeToLog

    public static final PropertyKey maxQuerySizeToLog

#### maxReconnects

    public static final PropertyKey maxReconnects

#### maxRows

    public static final PropertyKey maxRows

#### metadataCacheSize

    public static final PropertyKey metadataCacheSize

#### netTimeoutForStreamingResults

    public static final PropertyKey netTimeoutForStreamingResults

#### noAccessToProcedureBodies

    public static final PropertyKey noAccessToProcedureBodies

#### noDatetimeStringSync

    public static final PropertyKey noDatetimeStringSync

#### nullDatabaseMeansCurrent

    public static final PropertyKey nullDatabaseMeansCurrent

#### ociConfigFile

    public static final PropertyKey ociConfigFile

#### ociConfigProfile

    public static final PropertyKey ociConfigProfile

#### openTelemetry

    public static final PropertyKey openTelemetry

#### overrideSupportsIntegrityEnhancementFacility

    public static final PropertyKey overrideSupportsIntegrityEnhancementFacility

#### packetDebugBufferSize

    public static final PropertyKey packetDebugBufferSize

#### padCharsWithSpace

    public static final PropertyKey padCharsWithSpace

#### paranoid

    public static final PropertyKey paranoid

#### password1

    public static final PropertyKey password1

#### password2

    public static final PropertyKey password2

#### password3

    public static final PropertyKey password3

#### passwordCharacterEncoding

    public static final PropertyKey passwordCharacterEncoding

#### pedantic

    public static final PropertyKey pedantic

#### pinGlobalTxToPhysicalConnection

    public static final PropertyKey pinGlobalTxToPhysicalConnection

#### populateInsertRowWithDefaultValues

    public static final PropertyKey populateInsertRowWithDefaultValues

#### prepStmtCacheSize

    public static final PropertyKey prepStmtCacheSize

#### prepStmtCacheSqlLimit

    public static final PropertyKey prepStmtCacheSqlLimit

#### preserveInstants

    public static final PropertyKey preserveInstants

#### processEscapeCodesForPrepStmts

    public static final PropertyKey processEscapeCodesForPrepStmts

#### profilerEventHandler

    public static final PropertyKey profilerEventHandler

#### profileSQL

    public static final PropertyKey profileSQL

#### propertiesTransform

    public static final PropertyKey propertiesTransform

#### queriesBeforeRetrySource

    public static final PropertyKey queriesBeforeRetrySource

#### queryInfoCacheFactory

    public static final PropertyKey queryInfoCacheFactory

#### queryInterceptors

    public static final PropertyKey queryInterceptors

#### queryTimeoutKillsConnection

    public static final PropertyKey queryTimeoutKillsConnection

#### readFromSourceWhenNoReplicas

    public static final PropertyKey readFromSourceWhenNoReplicas

#### readOnlyPropagatesToServer

    public static final PropertyKey readOnlyPropagatesToServer

#### reconnectAtTxEnd

    public static final PropertyKey reconnectAtTxEnd

#### replicationConnectionGroup

    public static final PropertyKey replicationConnectionGroup

#### reportMetricsIntervalMillis

    public static final PropertyKey reportMetricsIntervalMillis

#### requireSSL

    public static final PropertyKey requireSSL

#### resourceId

    public static final PropertyKey resourceId

#### resultSetSizeThreshold

    public static final PropertyKey resultSetSizeThreshold

#### retriesAllDown

    public static final PropertyKey retriesAllDown

#### rewriteBatchedStatements

    public static final PropertyKey rewriteBatchedStatements

#### rollbackOnPooledClose

    public static final PropertyKey rollbackOnPooledClose

#### scrollTolerantForwardOnly

    public static final PropertyKey scrollTolerantForwardOnly

#### secondsBeforeRetrySource

    public static final PropertyKey secondsBeforeRetrySource

#### selfDestructOnPingMaxOperations

    public static final PropertyKey selfDestructOnPingMaxOperations

#### selfDestructOnPingSecondsLifetime

    public static final PropertyKey selfDestructOnPingSecondsLifetime

#### sendFractionalSeconds

    public static final PropertyKey sendFractionalSeconds

#### sendFractionalSecondsForTime

    public static final PropertyKey sendFractionalSecondsForTime

#### serverAffinityOrder

    public static final PropertyKey serverAffinityOrder

#### serverConfigCacheFactory

    public static final PropertyKey serverConfigCacheFactory

#### serverRSAPublicKeyFile

    public static final PropertyKey serverRSAPublicKeyFile

#### sessionVariables

    public static final PropertyKey sessionVariables

#### slowQueryThresholdMillis

    public static final PropertyKey slowQueryThresholdMillis

#### slowQueryThresholdNanos

    public static final PropertyKey slowQueryThresholdNanos

#### socketFactory

    public static final PropertyKey socketFactory

#### socketTimeout

    public static final PropertyKey socketTimeout

#### socksProxyHost

    public static final PropertyKey socksProxyHost

#### socksProxyPort

    public static final PropertyKey socksProxyPort

#### socksProxyRemoteDns

    public static final PropertyKey socksProxyRemoteDns

#### sslContextProvider

    public static final PropertyKey sslContextProvider

#### sslMode

    public static final PropertyKey sslMode

#### strictUpdates

    public static final PropertyKey strictUpdates

#### tcpKeepAlive

    public static final PropertyKey tcpKeepAlive

#### tcpNoDelay

    public static final PropertyKey tcpNoDelay

#### tcpRcvBuf

    public static final PropertyKey tcpRcvBuf

#### tcpSndBuf

    public static final PropertyKey tcpSndBuf

#### tcpTrafficClass

    public static final PropertyKey tcpTrafficClass

#### tinyInt1isBit

    public static final PropertyKey tinyInt1isBit

#### tlsCiphersuites

    public static final PropertyKey tlsCiphersuites

#### tlsVersions

    public static final PropertyKey tlsVersions

#### traceProtocol

    public static final PropertyKey traceProtocol

#### trackSessionState

    public static final PropertyKey trackSessionState

#### transformedBitIsBoolean

    public static final PropertyKey transformedBitIsBoolean

#### treatMysqlDatetimeAsTimestamp

    public static final PropertyKey treatMysqlDatetimeAsTimestamp

#### treatUtilDateAsTimestamp

    public static final PropertyKey treatUtilDateAsTimestamp

#### trustCertificateKeyStorePassword

    public static final PropertyKey trustCertificateKeyStorePassword

#### trustCertificateKeyStoreType

    public static final PropertyKey trustCertificateKeyStoreType

#### trustCertificateKeyStoreUrl

    public static final PropertyKey trustCertificateKeyStoreUrl

#### trustManagerFactoryProvider

    public static final PropertyKey trustManagerFactoryProvider

#### ultraDevHack

    public static final PropertyKey ultraDevHack

#### useAffectedRows

    public static final PropertyKey useAffectedRows

#### useColumnNamesInFindColumn

    public static final PropertyKey useColumnNamesInFindColumn

#### useCompression

    public static final PropertyKey useCompression

#### useConfigs

    public static final PropertyKey useConfigs

#### useCursorFetch

    public static final PropertyKey useCursorFetch

#### useHostsInPrivileges

    public static final PropertyKey useHostsInPrivileges

#### useInformationSchema

    public static final PropertyKey useInformationSchema

#### useLocalSessionState

    public static final PropertyKey useLocalSessionState

#### useLocalTransactionState

    public static final PropertyKey useLocalTransactionState

#### useNanosForElapsedTime

    public static final PropertyKey useNanosForElapsedTime

#### useOldAliasMetadataBehavior

    public static final PropertyKey useOldAliasMetadataBehavior

#### useOnlyServerErrorMessages

    public static final PropertyKey useOnlyServerErrorMessages

#### useReadAheadInput

    public static final PropertyKey useReadAheadInput

#### useServerPrepStmts

    public static final PropertyKey useServerPrepStmts

#### useSSL

    public static final PropertyKey useSSL

#### useStreamLengthsInPrepStmts

    public static final PropertyKey useStreamLengthsInPrepStmts

#### useUnbufferedInput

    public static final PropertyKey useUnbufferedInput

#### useUsageAdvisor

    public static final PropertyKey useUsageAdvisor

#### verifyServerCertificate

    public static final PropertyKey verifyServerCertificate

#### xdevapiAsyncResponseTimeout

    public static final PropertyKey xdevapiAsyncResponseTimeout

#### xdevapiAuth

    public static final PropertyKey xdevapiAuth

#### xdevapiConnectTimeout

    public static final PropertyKey xdevapiConnectTimeout

#### xdevapiConnectionAttributes

    public static final PropertyKey xdevapiConnectionAttributes

#### xdevapiCompression

    public static final PropertyKey xdevapiCompression

#### xdevapiCompressionAlgorithms

    public static final PropertyKey xdevapiCompressionAlgorithms

#### xdevapiCompressionExtensions

    public static final PropertyKey xdevapiCompressionExtensions

#### xdevapiDnsSrv

    public static final PropertyKey xdevapiDnsSrv

#### xdevapiFallbackToSystemKeyStore

    public static final PropertyKey xdevapiFallbackToSystemKeyStore

#### xdevapiFallbackToSystemTrustStore

    public static final PropertyKey xdevapiFallbackToSystemTrustStore

#### xdevapiSslKeyStorePassword

    public static final PropertyKey xdevapiSslKeyStorePassword

#### xdevapiSslKeyStoreType

    public static final PropertyKey xdevapiSslKeyStoreType

#### xdevapiSslKeyStoreUrl

    public static final PropertyKey xdevapiSslKeyStoreUrl

#### xdevapiSslMode

    public static final PropertyKey xdevapiSslMode

#### xdevapiSslTrustStorePassword

    public static final PropertyKey xdevapiSslTrustStorePassword

#### xdevapiSslTrustStoreType

    public static final PropertyKey xdevapiSslTrustStoreType

#### xdevapiSslTrustStoreUrl

    public static final PropertyKey xdevapiSslTrustStoreUrl

#### xdevapiTlsCiphersuites

    public static final PropertyKey xdevapiTlsCiphersuites

#### xdevapiTlsVersions

    public static final PropertyKey xdevapiTlsVersions

#### yearIsDateType

    public static final PropertyKey yearIsDateType

#### zeroDateTimeBehavior

    public static final PropertyKey zeroDateTimeBehavior

### Field Detail

#### keyName

    private String keyName

#### ccAlias

    private String ccAlias

#### isCaseSensitive

    private boolean isCaseSensitive

#### caseInsensitiveValues

    private static Map<String,PropertyKey> caseInsensitiveValues

### Method Detail

#### values

    public static PropertyKey[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PropertyKey c : PropertyKey.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PropertyKey valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<PropertyKey>`

#### getKeyName

    public String getKeyName()

Gets the key name of this enum element.

Returns:
  the key name associated with the enum element.

#### getCcAlias

    public String getCcAlias()

Gets the camel-case alias key name of this enum element.

Returns:
  the camel-case alias key name associated with the enum element or null.

#### fromValue

    public static PropertyKey fromValue(String value)

Looks for a `PropertyKey` that matches the given value as key name.

Parameters:
  `value` - the key name to look for.
Returns:
  the `PropertyKey` element that matches the given key name value or `null` if none is found.

#### normalizeCase

    public static String normalizeCase(String keyName)

Helper method that normalizes the case of the given key, if it is one of `PropertyKey` elements.

Parameters:
  `keyName` - the key name to normalize.
Returns:
  the normalized key name if it belongs to this enum, otherwise returns the input unchanged.

Copyright © 2016, 2024, Oracle and/or its affiliates.